# Uses of Interface
org.eclipse.net4j.util.container.IContainerDelta

Packages that use IContainerDelta
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.

## Uses of IContainerDelta in org.eclipse.net4j.util.container

Classes in org.eclipse.net4j.util.container that implement IContainerDelta
Modifier and Type
Class
Description
`class`
`ContainerDelta<E>`
A default `container delta` implementation.
Methods in org.eclipse.net4j.util.container that return IContainerDelta
Modifier and Type
Method
Description
`IContainerDelta<E>`
ContainerEvent.`getDelta()`
`IContainerDelta<E>`
IContainerEvent.`getDelta()`
`IContainerDelta<E>`
SingleDeltaContainerEvent.`getDelta()`
`IContainerDelta<E>[]`
ContainerEvent.`getDeltas()`
`IContainerDelta<E>[]`
IContainerEvent.`getDeltas()`
`IContainerDelta<E>[]`
SingleDeltaContainerEvent.`getDeltas()`
Methods in org.eclipse.net4j.util.container with parameters of type IContainerDelta
Modifier and Type
Method
Description
`void`
ContainerEvent.`addDelta(IContainerDelta<E> delta)`
Method parameters in org.eclipse.net4j.util.container with type arguments of type IContainerDelta
Modifier and Type
Method
Description
`void`
Container.`fireContainerEvent(List<IContainerDelta<E>> deltas)`
Constructor parameters in org.eclipse.net4j.util.container with type arguments of type IContainerDelta
Modifier
Constructor
Description
``
`ContainerEvent(IContainer<E> container, List<IContainerDelta<E>> deltas)`